%define upstream_name    Padre-Plugin-CSS
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Padre and CSS
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Padre/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CSS::Minifier::XS)
BuildRequires: perl(Locale::Msgfmt) >= 0.150.0
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Padre) >= 0.650.0
BuildRequires: perl(Test::More)
BuildRequires: perl(WebService::Validator::CSS::W3C)
BuildRequires: perl(YAML::Tiny)
BuildArch:  noarch

%description
From Padre:
- use CSS::Minifier::XS to minify css
- use WebService::Validator::CSS::W3C to validate the CSS

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
#./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Apr 02 2022 umeabot <umeabot> 0.140.0-11.mga9
+ Revision: 1840173
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.140.0-10.mga8
+ Revision: 1496247
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.140.0-9.mga7
+ Revision: 1270238
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.140.0-8.mga6
+ Revision: 1031612
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.140.0-7.mga6
+ Revision: 949934
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.140.0-6.mga5
+ Revision: 788971
- Rebuild to potentially add missing dependencies
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.140.0-3.mga4
+ Revision: 513887
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 371394
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 28 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 61620
- update to 0.14

* Mon Jan 24 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 37599
- mageia rebuild
- imported package perl-Padre-Plugin-CSS

